CVE Vulnerabilities

CVE-2004-1171

Published: Jan 10, 2005 | Modified: Jul 11, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
2.1 LOW
AV:L/AC:L/Au:N/C:P/I:N/A:N
RedHat/V2
RedHat/V3
Ubuntu

KDE 3.2.x and 3.3.0 through 3.3.2, when saving credentials that are (1) manually entered by the user or (2) created by the SMB protocol handler, stores those credentials for plaintext in the users .desktop file, which may be created with world-readable permissions, which could allow local users to obtain usernames and passwords for remote resources such as SMB shares.

Affected Software

Name Vendor Start Version End Version
Kde Kde 3.2 3.2
Kde Kde 3.2.1 3.2.1
Kde Kde 3.2.2 3.2.2
Kde Kde 3.2.3 3.2.3
Kde Kde 3.3 3.3
Kde Kde 3.3.1 3.3.1
Kde Kde 3.3.2 3.3.2
Mandrake_linux Mandrakesoft 10.0 10.0
Mandrake_linux Mandrakesoft 10.0 10.0
Mandrake_linux Mandrakesoft 10.1 10.1
Mandrake_linux Mandrakesoft 10.1 10.1
Fedora_core Redhat core_2.0 core_2.0
Fedora_core Redhat core_3.0 core_3.0
Kdebase Ubuntu dapper *
Kdebase Ubuntu devel *
Kdebase Ubuntu edgy *
Kdebase Ubuntu feisty *
Kdelibs Ubuntu dapper *
Kdelibs Ubuntu devel *
Kdelibs Ubuntu edgy *
Kdelibs Ubuntu feisty *

References